---
title: NetworkInformation.type
slug: Web/API/NetworkInformation/type
tags:
  - API
  - Experimental
  - Network Information API
  - NetworkInformation
  - Property
  - Read-only
  - Reference
---
<p>{{apiref("Network Information API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>NetworkInformation.type</strong></code> read-only property returns the type of connection a device is using to communicate with the network.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>type</em> = <em>netInfo</em>.type</pre>

<h3 id="Return_value">Return value</h3>

<p>An enumerated value that is one of the following values:</p>

<ul>
 <li><code>"bluetooth"</code></li>
 <li><code>"cellular"</code></li>
 <li><code>"ethernet"</code></li>
 <li><code>"none</code>"</li>
 <li><code>"wifi"</code></li>
 <li><code>"wimax"</code></li>
 <li><code>"other"</code></li>
 <li><code>"unknown"</code></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Network Information', '#dom-networkinformation-type', 'type')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NetworkInformation.type")}}</p>
